import { Navigation } from 'react-native-navigation';
import { Provider } from 'react-redux';
import { gestureHandlerRootHOC } from 'react-native-gesture-handler';

import CreateChannelView from './CreateChannelView';
import ForgotPasswordView from './ForgotPasswordView';
import LoginSignupView from './LoginSignupView';
import LoginView from './LoginView';
import MentionedMessagesView from './MentionedMessagesView';
import NewMessageView from './NewMessageView';
import NewServerView from './NewServerView';
import OAuthView from './OAuthView';
import OnboardingView from './OnboardingView';
import PinnedMessagesView from './PinnedMessagesView';
import PrivacyPolicyView from './PrivacyPolicyView';
import ProfileView from './ProfileView';
import RegisterView from './RegisterView';
import RoomActionsView from './RoomActionsView';
import RoomFilesView from './RoomFilesView';
import RoomInfoEditView from './RoomInfoEditView';
import RoomInfoView from './RoomInfoView';
import RoomMembersView from './RoomMembersView';
import RoomsListHeaderView from './RoomsListView/Header';
import RoomsListSearchView from './RoomsListView/Search';
import RoomsListView from './RoomsListView';
import RoomView from './RoomView';
import SearchMessagesView from './SearchMessagesView';
import SelectedUsersView from './SelectedUsersView';
import SettingsView from './SettingsView';
import Sidebar from '../containers/Sidebar';
import SnippetedMessagesView from './SnippetedMessagesView';
import StarredMessagesView from './StarredMessagesView';
import TermsServiceView from './TermsServiceView';

export const registerScreens = (store) => {
	Navigation.registerComponent('CreateChannelView', () => CreateChannelView, store, Provider);
	Navigation.registerComponent('ForgotPasswordView', () => ForgotPasswordView, store, Provider);
	Navigation.registerComponent('LoginSignupView', () => LoginSignupView, store, Provider);
	Navigation.registerComponent('LoginView', () => LoginView, store, Provider);
	Navigation.registerComponent('MentionedMessagesView', () => gestureHandlerRootHOC(MentionedMessagesView), store, Provider);
	Navigation.registerComponent('NewMessageView', () => NewMessageView, store, Provider);
	Navigation.registerComponent('NewServerView', () => NewServerView, store, Provider);
	Navigation.registerComponent('OAuthView', () => OAuthView, store, Provider);
	Navigation.registerComponent('OnboardingView', () => OnboardingView, store, Provider);
	Navigation.registerComponent('PinnedMessagesView', () => gestureHandlerRootHOC(PinnedMessagesView), store, Provider);
	Navigation.registerComponent('PrivacyPolicyView', () => PrivacyPolicyView, store, Provider);
	Navigation.registerComponent('ProfileView', () => ProfileView, store, Provider);
	Navigation.registerComponent('RegisterView', () => RegisterView, store, Provider);
	Navigation.registerComponent('RoomActionsView', () => RoomActionsView, store, Provider);
	Navigation.registerComponent('RoomFilesView', () => gestureHandlerRootHOC(RoomFilesView), store, Provider);
	Navigation.registerComponent('RoomInfoEditView', () => RoomInfoEditView, store, Provider);
	Navigation.registerComponent('RoomInfoView', () => RoomInfoView, store, Provider);
	Navigation.registerComponent('RoomMembersView', () => RoomMembersView, store, Provider);
	Navigation.registerComponent('RoomsListHeaderView', () => RoomsListHeaderView, store, Provider);
	Navigation.registerComponent('RoomsListSearchView', () => RoomsListSearchView, store, Provider);
	Navigation.registerComponent('RoomsListView', () => gestureHandlerRootHOC(RoomsListView), store, Provider);
	Navigation.registerComponent('RoomView', () => gestureHandlerRootHOC(RoomView), store, Provider);
	Navigation.registerComponent('SearchMessagesView', () => gestureHandlerRootHOC(SearchMessagesView), store, Provider);
	Navigation.registerComponent('SelectedUsersView', () => SelectedUsersView, store, Provider);
	Navigation.registerComponent('SettingsView', () => SettingsView, store, Provider);
	Navigation.registerComponent('Sidebar', () => Sidebar, store, Provider);
	Navigation.registerComponent('SnippetedMessagesView', () => gestureHandlerRootHOC(SnippetedMessagesView), store, Provider);
	Navigation.registerComponent('StarredMessagesView', () => gestureHandlerRootHOC(StarredMessagesView), store, Provider);
	Navigation.registerComponent('TermsServiceView', () => TermsServiceView, store, Provider);
};
